:root {
  --bg-main: #3D4547;
  --bg-second: #575E60;
  --font-main: #ffc483;
  --font-second: #F1E6D3;
  --border-main: #F8D6AD;
  --footer-social-color: var(--bg-main);
  --swiper-button-bg: rgba(196, 147, 122, 0.27);
  --swiper-button-bg-hover: rgba(241, 230, 211, 0.50);
  --email-card-margin-top: -1rem;
  --email-form-input-color: var(--bg-main);
  --media-card-socials-margin-top: 1rem;
  --swiper-image-z-index: 10000;
}

[data-theme="light"] {
  --bg-main: #B9AEA5;
  --bg-second: #B5A89D;
  --font-main: #f8f5f5;
  --font-second: #f8f5f5;
  --border-main: #F8D6AD;
  --footer-social-color: var(--font-second);
  --swiper-button-bg: rgba(241, 230, 211, 0.50);
  --swiper-button-bg-hover: rgba(196, 147, 122, 0.27);
  --email-card-margin-top: -2rem;
  --email-form-input-color: #333;
  --media-card-socials-margin-top: 2rem;
  --swiper-image-z-index: auto;
}

@font-face {
  font-family: 'Cigra';
  src: url('https://burcu-photo.s3.amazonaws.com/fonts/MrsSaintDelafield-Regular.ttf');
}

* {
  /*font-family: 'Poppins', sans-serif;*/
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  outline: none;
  border: none;
  text-decoration: none;
  color: var(--font-second);
}

html {
  scroll-behavior: smooth;
}

body {
  background-color: var(--bg-second);
}

#top {
  position: absolute;
  top: 0;
}

header {
  display: flex;
  justify-content: space-between;
  background-color: var(--bg-main);
  height: 4rem;
  align-items: center;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  z-index: 10;
  box-shadow: 0 6px 12px rgba(0, 0, 0, 0.25);
  border-bottom: 1px solid var(--font-main);
  padding: 1rem 9%;
}

header .logo {
  font-family: "Cigra", "sans-serif";
  font-size: 2.2rem;
  font-weight: bold;
  color: var(--font-main);
  margin-bottom: -.5rem;
}

div.nav-button {
  display: none;
  font-size: 3rem;
  background-color: var(--bg-main);
  position: relative;
  cursor: pointer;
  padding: 0;
  margin: 0;
  color: var(--font-main);
}

header .nav-link {
  font-size: 1.3rem;
  margin-left: 2rem;
  display: inline-block;
  position: relative;
  color: var(--font-main);
  transition: all .2s linear;
}

header .nav-link:hover,
header .logo:hover {
  color: rgba(246, 188, 46, 0.57);
  transition: all .2s linear;
}

.nav-link:after {
  content: '';
  position: absolute;
  width: 100%;
  transform: scaleX(0);
  height: 2px;
  bottom: 0;
  left: 0;
  background-color: rgba(246, 188, 46, 0.57);
  transform-origin: bottom right;
  transition: transform 0.25s ease-out;
}

.nav-link:hover:after {
  transform: scaleX(1);
  transform-origin: bottom left;
}

header .nav-link-active {
  color: var(--font-main);
  opacity: 1;
  font-weight: bold;
}


.container {
  margin: 0 9%;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  justify-content: space-between;
}

.empty {
  height: 5rem;
}

footer {
  color: var(--font-second);
  opacity: 40%;
  text-shadow: 3px 2px 3px rgba(0, 0, 0, 0.25);
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
  width: 100%;
  align-self: flex-end;
  margin-bottom: .5rem;
}

.footer-socials {
  display: flex;
  justify-content: space-between;
  width: 20rem;
  margin-top: 1rem;
  margin-bottom: .5rem;
}

.footer-social-icon {
  width: 1.2rem;
  filter: invert(87%) sepia(20%) saturate(327%) hue-rotate(334deg) brightness(109%) contrast(89%);
  color: var(--footer-social-color);
  transition: all .2s linear;
}

.footer-social-icon:hover {
  transform: scale(150%);
  filter: invert(99%) sepia(32%) saturate(3292%) hue-rotate(304deg) brightness(95%) contrast(116%);
  transition: all .2s linear;
}

.dev-link {
  color: rgb(246, 188, 46);
}

.btn {
  background-color: rgba(246, 188, 46, 0.57);
  transition: all .2s linear;
}

.btn:hover {
  background-color: rgba(246, 188, 46, 0.57);
  transition: all .2s linear;
}

.btn:focus {
  background-color: rgba(246, 188, 46, 0.57);
  transition: all .2s linear;
}

section.hero {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  margin-left: 5%;
  margin-right: 5%;
  gap: 8rem;
  height: 100%;
}

.greeting {
  width: 30vw;
  display: flex;
  flex-direction: column;
}

.greeting-title {
  position: fixed;
  top: 0;
  right: -10000px;
}

.portfoliopage-title {
  position: fixed;
  top: 0;
  right: -10000px;
}

.greeting p em {
  margin-bottom: 1rem;
  text-shadow: 3px 2px 3px rgba(0, 0, 0, 0.25);
  font-size: 2rem;
  font-weight: bold;
  line-height: 5rem;
}

.greeting p {
  font-size: 1.5rem;
  font-style: italic;
}

.btn-greeting {
  border-radius: 1rem;
  align-self: flex-end;
  margin-top: 1rem;
  width: 11rem;
  font-size: 1.5rem;
  font-style: italic;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  padding: .3rem 3%;
  filter: drop-shadow(16px 11px 13px rgba(0, 0, 0, 0.25));
}

.arrow-right {
  width: 1.8rem;
  filter: invert(97%) sepia(4%) saturate(1582%) hue-rotate(325deg) brightness(101%) contrast(89%);
}

.hero-photo img {
  width: 25vw;
  border-radius: 3rem;
  filter: drop-shadow(16px 11px 13px rgba(0, 0, 0, 0.25));
}

.swiper {
  height: 70vh;
}

.swiper-slide {
  height: border-box;
  border-left: 1px solid var(--border-main);
  border-right: 1px solid var(--border-main);
}

.portfolio-title {
  font-size: 2rem;
  color: var(--font-main);
  text-shadow: 3px 2px 3px rgba(0, 0, 0, 0.25);
  text-align: center;
  margin-bottom: 1rem;
}

.card {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  align-items: center;
  height: 100%;
}

.card .title-link {
  position: absolute;
  z-index: 1;
  top: 15%;
}

.card h2 {
  font-size: 1.5rem;
  color: var(--font-main);
  text-shadow: 3px 2px 3px rgba(0, 0, 0, 0.25);
}

.card-title {
  transition: all .2s linear;
}

.card-title:hover {
  color: rgba(246, 188, 46, 0.57);
  transition: all .2s linear;
}

.card img {
  width: 80%;
  height: 60%;
  object-fit: cover;
  border-radius: 4rem;
  margin-bottom: 1rem;
  filter: drop-shadow(1rem .6rem .8rem rgba(0, 0, 0, 0.25));
  transition: all .3s linear;
}

.card img:hover {
  height: 80%;
  transition: all .3s linear;
  cursor: pointer;
}

.btn-card {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 10rem;
  padding: .5rem 0;
  border-radius: 1rem;
  font-size: 1.2rem;
  font-style: italic;
  margin-bottom: 1rem;
  filter: drop-shadow(8px 6px 5px rgba(0, 0, 0, 0.25));
}

.swiper-button-prev,
.swiper-button-next {
  color: var(--font-second);
  background-color: var(--swiper-button-bg);
  padding: 2rem;
  margin-bottom: 20rem;
  border-radius: .5rem;
  transition: all .2s linear;
}

.swiper-button-prev:hover,
.swiper-button-next:hover {
  color: var(--font-main);
  background-color: var(--swiper-button-bg-hover);
  transition: all .2s linear;
}

.btn-back {
  border-radius: 1rem;
  font-size: 1.2rem;
  font-style: italic;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  padding: 0 3%;
  margin-top: 2rem;
  margin-bottom: 1rem;
  width: 8rem;
  height: 2.2rem;
  filter: drop-shadow(8px 5px 6px rgba(0, 0, 0, 0.25));
}

.arrow-left {
  height: 1.6rem;
  filter: invert(97%) sepia(4%) saturate(1582%) hue-rotate(325deg) brightness(101%) contrast(89%);
  margin-right: .5rem;
}

.btn-up {
  position: fixed;
  bottom: 0;
  right: 0;
  margin-bottom: 2rem;
  margin-right: 2rem;
  height: 3rem;
  width: 3rem;
  z-index: 999;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 2rem;
  border-radius: 50%;
  filter: drop-shadow(8px 5px 6px rgba(0, 0, 0, 0.25));
}

.arrow-up {
  filter: invert(97%) sepia(4%) saturate(1582%) hue-rotate(325deg) brightness(101%) contrast(89%);
  width: 3rem;
}

.project-title {
  font-size: 2rem;
  font-weight: bold;
  margin: 2rem 0;
  text-align: center;
  text-shadow: 3px 2px 3px rgba(0, 0, 0, 0.25);
}

.project-title em {
  color: var(--font-main);
  text-shadow: 3px 2px 3px rgba(0, 0, 0, 0.25);
}

.photo-flow {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
  justify-content: space-around;
}

.photo-flow-img {
  max-height: 23rem;
  object-fit: cover;
  filter: drop-shadow(8px 5px 6px rgba(0, 0, 0, 0.25));
  cursor: pointer;
  margin-top: 2rem;
  transition: all .2s linear;
}

.photo-flow-img:hover {
  transform: scale(96%);
  transition: all .2s linear;
}

.photo-zoom {
  display: none;
  text-align: right;
  background-color: hsl(0 0% 0% / .6);
}

@supports (backdrop-filter: blur(.7rem)) {
  .photo-zoom {
    background-color: hsla(0, 0%, 0%, 0.6);
    backdrop-filter: blur(.7rem)
  }
}

.photo-zoom-active {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  z-index: 1000;
  width: 100%;
  height: 110vh;
}

.photo-zoom-img {
  object-fit: contain;
  border: none;
  max-height: 70%;
  align-self: center;
  z-index: var(--swiper-image-z-index);
}

.btn-swiper-close {
  border-radius: 1rem;
  font-size: 2rem;
  filter: drop-shadow(8px 5px 6px rgba(0, 0, 0, 0.25));
  z-index: 1002;
  width: 3rem;
  height: 3rem;
  text-align: center;
  position: absolute;
  align-self: flex-end;
  margin-right: 5rem;
  top: 10rem;
}

section.about {
  display: flex;
  background-color: var(--bg-main);
  border-radius: 4rem;
  padding: 2.5rem;
  filter: drop-shadow(8px 5px 6px rgba(0, 0, 0, 0.25));
}

.about-me {
  align-self: center;
  font-size: 1.2rem;
  font-style: italic;
  line-height: 2.2rem;
}

.about-me h1 {
  font-size: 2rem;
  margin-bottom: 2rem;
  text-shadow: 3px 2px 3px rgba(0, 0, 0, 0.25);
}

.about-photo {
  width: 22rem;
  filter: drop-shadow(8px 5px 6px rgba(0, 0, 0, 0.25));
  border-radius: 100%;
  align-self: center;
  float: right;
  margin-left: .6rem;
}

.contact-title {
  text-align: center;
  margin-bottom: 3.5rem;
  font-size: 2rem;
  font-style: italic;
  color: var(--font-main);
  text-shadow: 3px 2px 3px rgba(0, 0, 0, 0.25);

}

.card-box {
  display: flex;
  justify-content: space-evenly;
  flex-wrap: wrap;
}

.website_ {
  position: absolute;
  left: -10000px;
  top: auto;
  width: 1px;
  height: 1px;
  overflow: hidden;
}

section.media-card,
section.email-card {
  width: 32rem;
  height: 31rem;
  text-align: center;
  background-color: var(--bg-main);
  box-shadow: 0 6px 12px rgba(0, 0, 0, 0.25);
  display: flex;
  flex-direction: column;
  justify-content: space-evenly;
  border-radius: 2rem;
  align-self: center;
}


section.media-card h2,
section.email-card h2 {
  font-size: 1.5rem;
  font-style: italic;
  color: var(--font-main);
  text-shadow: 3px 2px 3px rgba(0, 0, 0, 0.25);
}

section.media-card h2 {
  margin-top: -9rem;
}

section.email-card h2 {
  margin-top: -3rem;
}

.socials {
  display: flex;
  justify-content: center;
  margin-top: -2rem;
  padding-bottom: 3rem;
  gap: 4%;
}

.social-icon {
  width: 4rem;
  filter: invert(87%) sepia(20%) saturate(327%) hue-rotate(334deg) brightness(109%) contrast(89%);
  transition: all .2s linear;
}

.social-icon:hover {
  transform: scale(125%);
  filter: invert(99%) sepia(32%) saturate(3292%) hue-rotate(304deg) brightness(95%) contrast(116%);
  transition: all .2s linear;
}

#email-form {
  display: flex;
  flex-direction: column;
  height: 60%;
  justify-content: space-evenly;
  align-items: center;
  margin-top: var(--email-card-margin-top);
}

#email-form #name,
#email-form #email {
  line-height: 1.2rem;
}

#email-form input,
#email-form textarea {
  width: 75%;
  color: var(--email-form-input-color);
  box-shadow: 0 6px 12px rgba(0, 0, 0, 0.25);
  border-radius: .5rem;
  margin-bottom: 1rem;
  padding: 0 .3rem;
}

#email-form input:focus,
#email-form textarea:focus {
  border: 1px solid rgba(0, 218, 255, 0.6);
  box-shadow: 0 0 6px rgba(0, 218, 255, 0.6);
  transform: scale(105%);
  transition: all .2s linear;
}

input.btn-submit {
  margin-top: .5rem;
  color: var(--font-second) !important;
  height: 3rem !important;
  padding: .5rem 0;
  font-weight: bold;
  font-size: 1.1rem;
  cursor: pointer;
}

.captcha {
  margin-top: -.5rem;
  margin-bottom: -1rem;
}

#captcha {
  margin-left: .3rem;
  width: 32px !important;
  -moz-appearance: textfield;
  text-align: center;
}

#captcha::-webkit-outer-spin-button,
#captcha::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.messages {
  width: 20rem;
  height: 10rem;
  position: fixed;
  top: 45%;
  right: 2%;
  background-color: rgba(122, 161, 41, 0.5);
  color: var(--font-main);
  font-size: 1.3rem;
  z-index: 1000000;
  display: flex;
  justify-content: center;
  align-items: center;
}

.success {
  text-align: center;
}

.btn-messages {
  position: absolute;
  top: 0;
  left: 1%;
  font-size: 1.5rem;
  background-color: rgba(0, 255, 0, 0);
  color: var(--font-main);
  text-align: center;
  transition: all .2s linear;
}

.btn-messages:hover {
  color: rgb(147, 122, 58);
  transition: all .2s linear;
}

.theme-switcher {
  margin-left: 1rem;
  display: inline-block;
  margin-bottom: .5rem;
}

.theme-label {
  background-color: #111;
  width: 55px;
  height: 26px;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-radius: 50px;
  padding: 5px;
  cursor: pointer;
}

.theme-checkbox {
  opacity: 0;
  position: absolute;
  z-index: -100;
}

.moon span,
.sun span {
  color: var(--font-main);
  font-size: 1.2rem;
}

.moon {
  margin-bottom: 3px;
}

.ball {
  background-color: #fff;
  top: 2px;
  right: 2px;
  border-radius: 50%;
  height: 22px;
  width: 22px;
  position: absolute;
  transition: all .2s linear;
}

.theme-checkbox:checked+.theme-label .ball {
  background-color: #fff;
  transform: translateX(-30px);
  transition: all .2s linear;
}

@media (max-width: 1400px) {
  * {
    font-size: 14px;
  }

  .photo-flow-img {
    max-height: 22rem;
  }

  .project-title em {
    font-size: 2.5rem;
  }
}

@media (max-width: 1200px) {
  * {
    font-size: 13px;
  }

  section.media-card,
  section.email-card {
    width: 30rem;
  }

  .photo-flow-img {
    max-height: 20rem;
  }
}

@media (max-width: 992px) {
  * {
    font-size: 12px;
  }

  section.media-card,
  section.email-card {
    width: 25rem;
  }

  .photo-flow-img {
    max-height: 16rem;
  }
}

@media (max-width: 768px) {

  header {
    height: 6rem;
  }

  nav {
    position: absolute;
    top: 99%;
    right: 0;
    left: 0;
    text-align: right;
    clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);
    background-color: var(--bg-main);
    padding-right: 5%;
    border-bottom: 2px solid var(--border-main);
    transition: all .2s linear;
  }

  nav.show {
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
    transition: all .2s linear;
  }

  nav .nav-link {
    display: block;
    margin-bottom: 1rem;
    font-weight: bold;
  }

  div.nav-button {
    display: inline-block;
    margin-bottom: .7rem;
    transition: all .2s linear;
    margin-right: -2rem;
  }

  .nav-link:after,
  .nav-link:hover:after {
    display: none;
  }

  .social-icon {
    width: 3rem;
  }

  .photo-flow-img {
    max-height: 30rem;
  }

  .btn-back,
  .btn-back span {
    font-size: 1.2rem;
  }

  .contact-title {
    margin-bottom: .8rem;
  }
}

@media (max-width: 576px) {
  .swiper-slide {
    border: none;
  }

  section.hero {
    flex-direction: column-reverse;
    gap: 0;
    margin: 0;
  }

  section.hero h1,
  section.hero p {
    display: none;
  }

  .hero-photo {
    margin: 0 auto;
    text-align: center;
  }

  .hero-photo img {
    width: 85%;
  }

  .about-photo {
    width: 10rem;
  }

  .about-me p {
    line-height: normal;
  }

  footer {
    margin-top: .5rem;
  }

  footer p {
    font-size: .9rem;
  }

  .card-box {
    justify-content: center;
  }

  section.media-card {
    height: 8rem;
    padding-top: 1.5rem;
    margin-bottom: 1.5rem;
    justify-content: center;
  }

  section.media-card h2,
  section.media-card .socials {
    margin: var(--media-card-socials-margin-top) 0 0 0;
  }

  section.email-card {
    height: 26rem;
  }

  #email-form {
    margin-bottom: -1.5rem;
  }

  .photo-flow-img {
    max-height: 16rem;
  }

  .btn-swiper-close {
    top: 3rem;
    margin-right: 2rem;
  }

  .social-icon {
    width: 2.5rem;
  }
}

@media (orientation: portrait) {
  .card img {
    height: 90%;
    width: 85%;
  }

  .card a h1 {
    font-size: 2rem;
  }

  .card img:hover {
    height: 90%;
    transition: none;
  }
}
